Страница 3 из 4 ПерваяПервая 1234 ПоследняяПоследняя
Показано с 21 по 30 из 34

Тема: Переход с PHP 5.4 на 5.6, ISPmanager 5

  1. #21
    Support team Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,621

    По умолчанию

    По умолчанию стоит именно та версия PHP, которая идет в репозиториях операционной системы, это не зависит от версии панели.

  2. #22
    Senior Member
    Регистрация
    13.01.2011
    Сообщений
    276

    По умолчанию

    Цитата Сообщение от Dasha Посмотреть сообщение
    По умолчанию стоит именно та версия PHP, которая идет в репозиториях операционной системы, это не зависит от версии панели.
    А есть инструкция по переходу на 5.6?
    Чтобы в будущем проблем с панелью и php не было

  3. #23
    Support team Аватар для Dasha
    Регистрация
    03.11.2011
    Сообщений
    4,621

    По умолчанию

    Нет, такой инструкции нет, потому что мы не рекомендуем обновлять нативную версию PHP. Но возможно кто-то из участников форума имеет успешный опыт обновления нативной версии PHP и поделится с вами рабочей инструкцией.

  4. #24

    По умолчанию

    Да это кошмар какой-то. 5.4 уже половина сайтов не воспринимает. А CGI сыпется в Out of memory на тех же лимитах что и нативный PHP. В первом случае версия 5.4 - старье, во втором случае режим CGI - старье!

  5. #25

    По умолчанию

    Цитата Сообщение от Neolo Посмотреть сообщение
    Да это кошмар какой-то. 5.4 уже половина сайтов не воспринимает. А CGI сыпется в Out of memory на тех же лимитах что и нативный PHP. В первом случае версия 5.4 - старье, во втором случае режим CGI - старье!
    Согласен, все таки режим cgi реально не то что нужно для массового хостинга, Neolo, как можно отключить нативную версию вообще? Вы где то писали что у вас отключена на серверах

  6. #26

    По умолчанию

    Цитата Сообщение от WishHost Посмотреть сообщение
    Согласен, все таки режим cgi реально не то что нужно для массового хостинга, Neolo, как можно отключить нативную версию вообще? Вы где то писали что у вас отключена на серверах
    Не припомню. Может я что-то другое имел ввиду.

    Тем не менее вот решение ниже.

    ОБНОВЛЯЕМ НАТИВНУЮ ВЕРСИЮ В ПАРУ ШАГОВ (на зло компании ispsystem)

    Ставим REMI репу.

    Редактируем файл /etc/yum.repos.d/remi.repo и включаем нужный PHP (тот что будет NATIVE).

    enable=1
    Обновляемся.

    yum update && yum upgrade -y
    Игнорируем все вида:

    PHP Warning: Module 'PDO' already loaded in Unknown on line 0
    PHP Warning: PHP Startup: pdo_dblib: Unable to initialize module
    Module compiled with module API=20100525
    PHP compiled with module API=20131226
    These options need to match
    in Unknown on line 0
    Проверяем есть ли модули, отвалившиеся при обновлении. Будет очевидная ошибка на против. Если есть, просто переустанавливаем их из панели.

    php -m
    Заканчиваем.

    systemctl restart httpd
    Радуемся. В панели светит NATIVE 5.6 или что вы там выбрали.

    Неужели это надо было месяцами жевать в темах??

  7. #27

    По умолчанию

    спасибо, как обновить пхп я знаю, имел ввиду как нативную выключить что бы клиенты не юзали

  8. #28

    По умолчанию

    Цитата Сообщение от WishHost Посмотреть сообщение
    спасибо, как обновить пхп я знаю, имел ввиду как нативную выключить что бы клиенты не юзали
    Я писал инструкцию для остальных, ведь здесь масса тем с жалобами на версию native, а уважаемые сотрудники ISP утверждают что ее обновить невозможно.

    Зачем вам нативную отключать? Ведь это приведет к потере производительности. Тем не менее, это просто запрещается через шаблон тарифа, снимается галка "php как модуль Apache".

  9. #29
    Senior Member Аватар для Армаэль
    Регистрация
    22.03.2015
    Адрес
    Москва
    Сообщений
    288

    По умолчанию

    и нативная все равно есть даже если отключить "'php как модуль Apache'' в fastcgi https://yadi.sk/i/8pm-O7P3334k6T
    Dedicated server Fujitsu-Siemens TX150 S7 | Intel Xeon X3470 | 32GB RAM ECC REG | IBM SAS 15k 300Gbx4 | WD SATA 7.2k 1Tbx4 | Intel Pro 1Gb LAN x2 | Ubuntu Server 18.04 LTS | ISPmanager 5 Lite

  10. #30

    По умолчанию

    Цитата Сообщение от Армаэль Посмотреть сообщение
    и нативная все равно есть даже если отключить "'php как модуль Apache'' в fastcgi https://yadi.sk/i/8pm-O7P3334k6T
    В Шаблоне отключить и вверху выставить галку Применить всем клиентам (без этого оно применится лишь новосозданным). У меня работает, хотя панель у меня Business а не Lite.

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •